## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate getrandom

Name:           rust-getrandom0.1
Version:        0.1.16
Release:        %autorelease
Summary:        Small cross-platform library for retrieving random data from system source

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/getrandom
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          getrandom-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop WASM-specific features and dependencies
Patch:          getrandom-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A small cross-platform library for retrieving random data from system
source.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dummy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dummy-devel %{_description}

This package contains library source intended for building other packages which
use the "dummy" feature of the "%{crate}" crate.

%files       -n %{name}+dummy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 20 2023 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.16-1
- Rebuilt for MSVSphere 9.2

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.16-1
- Update to version 0.1.16

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.15-3
- Add back accidentally removed std feature.

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.15-2
- Remove dependencies on compiler internals.

* Wed Oct 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.1.15-1
- Initial compat package for getrandom 0.1

